GET /templates/{templateID}/builds/{buildID}/status
Template build status
Get template build info
Parameters
templateID·string· path · requiredbuildID·string· path · requiredlogsOffset·integer· query · optionalIndex of the starting build log that should be returned with the template
Format:
int32Default:
0Minimum:
0limit·integer· query · optionalMaximum number of logs that should be returned
Format:
int32Default:
100Minimum:
0Maximum:
100level·LogLevel· query · optionalState of the sandbox
Allowed values for
LogLevel:debug|info|warn|error
Responses
200
Successfully returned the template
Content-Type: application/json
Schema: TemplateBuildInfo
logs·array<string>· requiredBuild logs
Default:
[]logEntries·array<BuildLogEntry>· requiredBuild logs structured
Default:
[]logEntries.id·string· optionalStable identifier used to reconcile overlapping live log pages
logEntries.timestamp·string· requiredTimestamp of the log entry
Format:
date-timelogEntries.message·string· requiredLog message content
logEntries.level·LogLevel· requiredState of the sandbox
Allowed values for
LogLevel:debug|info|warn|errorlogEntries.step·string· optionalStep in the build process related to the log entry
templateID·string· requiredIdentifier of the template
buildID·string· requiredIdentifier of the build
status·TemplateBuildStatus· requiredStatus of the template build
Allowed values for
TemplateBuildStatus:building|waiting|ready|errorreason·BuildStatusReason· optionalreason.message·string· requiredMessage with the status reason, currently reporting only for error status
reason.step·string· optionalStep that failed
reason.logEntries·array<BuildLogEntry>· optionalLog entries related to the status reason
Default:
[]reason.logEntries.id·string· optionalStable identifier used to reconcile overlapping live log pages
reason.logEntries.timestamp·string· requiredTimestamp of the log entry
Format:
date-timereason.logEntries.message·string· requiredLog message content
reason.logEntries.level·LogLevel· requiredState of the sandbox
Allowed values for
LogLevel:debug|info|warn|errorreason.logEntries.step·string· optionalStep in the build process related to the log entry
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
404
Not found
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError